Subject: FVWM: Re: recapture ; icons

From: Chris Siebenmann <[email-masked]>
Date: Mon, 5 Jul 1999 20:02:28 -0500

| I've noticed that icons get repositioned when the Recapture command is run.
| Is there any way to turn this off and let the icons stay where they were?

 I will second this. I suspect that the intended behavior is that icons
that were automatically placed should be re-positioned equally automatically,
perhaps tidying them up. The unfortunate current effect is that if you don't
have automatic icon placement on, all your icons get 'tidied' to +0 +0 in
an ugly mess.

 Ideally, Recapture would only reposition icons that were auto-placed and
then never moved afterwards.

	- cks
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 6 Jul 1999 12:29:59 +0200

> then never moved afterwards.

I don't consider tidying up icons a bug. The bug is the 'Recapture' command
itself. It's just a dirty hack to allow already mapped windows to change
their styles (with a positive effect on speed).

Bye

-- 
Dominik Vogt, Hewlett-Packard GmbH, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/14-4596, fax: 07031/14-3883, [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Scott Scriven <[email-masked]>
Date: Tue, 06 Jul 1999 22:00:05 -0600

> their styles (with a positive effect on speed).

Oh, well.  Until there is a cleaner way to change styles on the fly, I guess
I'll just comment out the icon-tidying bits in the sources..

doo-dee-doo..  should I make any patches available if I get it working?

 _  _ _  _ ___ ___  ------------"Use the source, Luke!"---------
( \/ ( \/ (__ (__ ) |     Scott Scriven (Toy Keeper / XYZZ)    |
 \  / \  /  //  //  |       mailto:[email-masked]      |
 /  \ / /  //_ //_  |     irc:serdevian.dyn.omnipotent.net     |
(_/\_(_/  (___(___) |  http://www.vis.colostate.edu/~scriven/  |
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 7 Jul 1999 11:25:03 +0200

> doo-dee-doo..  should I make any patches available if I get it working?

Why not.

Bye

Dominik ^_^

---

From: Brad Giaccio <[email-masked]>
Date: Wed, 7 Jul 1999 08:59:36 -0400

On Wed, Jul 07, 1999 at 11:25:03AM +0200, Dominik Vogt wrote:

> > > I don't consider tidying up icons a bug. The bug is the
> > > 'Recapture' command itself. It's just a dirty hack to allow
> > > already mapped windows to change their styles (with a positive
> > > effect on speed).
> >
> > Oh, well.  Until there is a cleaner way to change styles on the fly,
> > I guess I'll just comment out the icon-tidying bits in the sources..
> >

Wouldn't this do the job 

AddToFunc RecaptureWindows "I"  All (!Iconic) RecaptureWindow

Well I just tried it and it seems to do strange things to your stacking
order but if you can live with that then go for it.

Brad

-- 
--- There are two kinds of knowledge, you either know the answer or
			you know where to find it
		      -Kane, Johnson, and anonymous
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].